<div class="container">
    <div class="card" *ngFor="let book of books | async">
        <div class="row user-container">
            <div class="col-6">
                <img
                    [src]="book.image"
                    class="image"
                    *ngIf="book.image"
                    (click)="routerNavigation.idiNaKnjigu(book._id)"
                />
                <img 
                    src="../../assets/no-image-book.png"
                    class="image"
                    *ngIf="!book.image"
                    (click)="routerNavigation.idiNaKnjigu(book._id)"
                />
            </div>

            <div class="col-6">
                <div clas="row">
                    <div class="col-12">
                        <h3> {{ book.name }} </h3>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <h5> {{ book.authors }} </h5>
                    </div>
                </div>

                <hr>

                <div class="row">
                    <div class="col-12">
                        <h5> {{ book.price | currency:'RSD'}} </h5>
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-12">
                        <button class="btn btn-primary" 
                                (click)="routerNavigation.idiNaKnjigu(book._id)">
                                    Иди на књигу
                        </button>
                    </div>
                </div>
            </div>
    </div>
</div>